Mailinglist Archive: opensuse-updates (113 mails)

< Previous Next >
openSUSE-RU-2017:0919-1: moderate: Recommended update for glibc
openSUSE Recommended Update: Recommended update for glibc
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:0919-1
Rating: moderate
References: #1007851 #1029725 #1029900
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:


This update for glibc fixes a potential segmentation fault in libpthread:

- Fork in libpthread cannot use IFUNC resolver. (bsc#1007851, bsc#1029725,
bsc#1029900)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-430=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 i686 x86_64):

glibc-2.22-4.3.1
glibc-debuginfo-2.22-4.3.1
glibc-debugsource-2.22-4.3.1
glibc-devel-2.22-4.3.1
glibc-devel-debuginfo-2.22-4.3.1
glibc-devel-static-2.22-4.3.1
glibc-locale-2.22-4.3.1
glibc-locale-debuginfo-2.22-4.3.1
glibc-profile-2.22-4.3.1

- openSUSE Leap 42.2 (i586 x86_64):

glibc-extra-2.22-4.3.1
glibc-extra-debuginfo-2.22-4.3.1
glibc-utils-2.22-4.3.1
glibc-utils-debuginfo-2.22-4.3.1
glibc-utils-debugsource-2.22-4.3.1
nscd-2.22-4.3.1
nscd-debuginfo-2.22-4.3.1

- openSUSE Leap 42.2 (noarch):

glibc-html-2.22-4.3.1
glibc-i18ndata-2.22-4.3.1
glibc-info-2.22-4.3.1

- openSUSE Leap 42.2 (x86_64):

glibc-32bit-2.22-4.3.1
glibc-debuginfo-32bit-2.22-4.3.1
glibc-devel-32bit-2.22-4.3.1
glibc-devel-debuginfo-32bit-2.22-4.3.1
glibc-devel-static-32bit-2.22-4.3.1
glibc-locale-32bit-2.22-4.3.1
glibc-locale-debuginfo-32bit-2.22-4.3.1
glibc-profile-32bit-2.22-4.3.1
glibc-utils-32bit-2.22-4.3.1
glibc-utils-debuginfo-32bit-2.22-4.3.1

- openSUSE Leap 42.2 (i586):

glibc-obsolete-2.22-4.3.1
glibc-obsolete-debuginfo-2.22-4.3.1


References:

https://bugzilla.suse.com/1007851
https://bugzilla.suse.com/1029725
https://bugzilla.suse.com/1029900


< Previous Next >
This Thread
  • No further messages